document.getElementById('upload-btn').addEventListener('click', function() {
  const files = document.getElementById('cv-upload').files;
  if (files.length > 0) {
    processCVs(files);
  } else {
    alert('Please select at least one CV file.');
  }
});

document.getElementById('generate-jd').addEventListener('click', function() {
  const requirements = document.getElementById('requirements').value;
  if (requirements.trim() !== '') {
    generateJobDescription(requirements);
  } else {
    alert('Please enter job requirements.');
  }
});

function processCVs(files) {
  // Simulate CV processing
  const candidateList = document.getElementById('candidate-list');
  candidateList.innerHTML = '';
  
  Array.from(files).forEach((file, index) => {
    const candidateCard = document.createElement('div');
    candidateCard.className = 'candidate-card';
    candidateCard.innerHTML = `
      <h3>Candidate ${index + 1}</h3>
      <p>File: ${file.name}</p>
      <p>Status: Qualified</p>
    `;
    candidateList.appendChild(candidateCard);
  });
}

function generateJobDescription(requirements) {
  // Simulate JD generation
  const jd = `Job Description based on requirements:
  
${requirements}

Additional details:
- Competitive salary
- Flexible working hours
- Professional development opportunities`;

  alert(jd);
}